<?xml version="1.0" encoding="UTF-8"?>
<robot generator="Robot 7.3.2 (Python 3.12.3 on linux)" generated="2025-11-20T11:29:33.971092" rpa="false" schemaversion="5">
<suite id="s1" name="End-To-End" source="/home/ersyl/development/robot-scripts/end-to-end">
<suite id="s1-s1" name="Tests" source="/home/ersyl/development/robot-scripts/end-to-end/Tests">
<suite id="s1-s1-s1" name="BackOffice" source="/home/ersyl/development/robot-scripts/end-to-end/Tests/BackOffice">
<suite id="s1-s1-s1-s1" name="Back Office" source="/home/ersyl/development/robot-scripts/end-to-end/Tests/BackOffice/Back_Office.robot">
<test id="s1-s1-s1-s1-t1" name="Should be able to access Home page" line="12">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T11:29:34.351657" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T11:29:34.351402" elapsed="0.922308"/>
</kw>
<kw name="Maximize Browser Window" owner="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" start="2025-11-20T11:29:35.274008" elapsed="0.013231"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:34.350795" elapsed="0.936621"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="BackOfficeApp">
<kw name="Home Page" owner="BackOffice.Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T11:29:35.289550" level="INFO">Opening url 'https://automationplayground.com/back-office/'</msg>
<arg>${BACK_OFFICE_URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T11:29:35.289069" elapsed="2.031687"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:35.287974" elapsed="2.032948"/>
</kw>
<kw name="Verify Page" owner="BackOffice.Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${BACK_OFFICE_HOME_PAGE-HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T11:29:37.321417" elapsed="0.010469"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:37.321122" elapsed="0.010926"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:35.287626" elapsed="2.044519"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T11:29:39.332795" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T11:29:37.332281" elapsed="2.000722"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T11:29:39.333578" elapsed="0.077171"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:39.333302" elapsed="0.077749"/>
</kw>
<doc>Home Page</doc>
<tag>Home</tag>
<status status="PASS" start="2025-11-20T11:29:34.306405" elapsed="5.104782"/>
</test>
<doc>Test the Studio Web Page</doc>
<status status="PASS" start="2025-11-20T11:29:34.174377" elapsed="5.280151"/>
</suite>
<status status="PASS" start="2025-11-20T11:29:34.130335" elapsed="5.366274"/>
</suite>
<suite id="s1-s1-s2" name="EndToEnd" source="/home/ersyl/development/robot-scripts/end-to-end/Tests/EndToEnd">
<suite id="s1-s1-s2-s1" name="End to End" source="/home/ersyl/development/robot-scripts/end-to-end/Tests/EndToEnd/End_to_End.robot">
<test id="s1-s1-s2-s1-t1" name="Should be able to access both sites" line="13">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T11:29:39.671902" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T11:29:39.671661" elapsed="0.558613"/>
</kw>
<kw name="Maximize Browser Window" owner="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" start="2025-11-20T11:29:40.230755" elapsed="0.016586"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:39.671342" elapsed="0.576168"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="FrontOffice.Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T11:29:40.248606" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${FRONT_OFFICE_URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T11:29:40.248400" elapsed="3.300659"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:40.248104" elapsed="3.301102"/>
</kw>
<kw name="Verify Page" owner="FrontOffice.Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${FRONT_OFFICE_HOME_PAGE_HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T11:29:43.549680" elapsed="0.008162"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:43.549393" elapsed="0.008609"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:40.247745" elapsed="3.310354"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T11:29:45.558699" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T11:29:43.558289" elapsed="2.000611"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="BackOfficeApp">
<kw name="Home Page" owner="BackOffice.Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T11:29:45.559948" level="INFO">Opening url 'https://automationplayground.com/back-office/'</msg>
<arg>${BACK_OFFICE_URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T11:29:45.559766" elapsed="0.791274"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:45.559376" elapsed="0.791806"/>
</kw>
<kw name="Verify Page" owner="BackOffice.Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${BACK_OFFICE_HOME_PAGE-HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T11:29:46.351671" elapsed="0.008521"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:46.351364" elapsed="0.008973"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:45.559111" elapsed="0.801315"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T11:29:48.360920" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T11:29:46.360553" elapsed="2.000578"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T11:29:48.361700" elapsed="0.056154"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:48.361423" elapsed="0.056606"/>
</kw>
<doc>Home Page</doc>
<tag>Home</tag>
<status status="PASS" start="2025-11-20T11:29:39.629152" elapsed="8.788964"/>
</test>
<doc>Test End to End Suite</doc>
<status status="PASS" start="2025-11-20T11:29:39.582365" elapsed="8.878035"/>
</suite>
<status status="PASS" start="2025-11-20T11:29:39.538478" elapsed="8.964028"/>
</suite>
<suite id="s1-s1-s3" name="FrontOffice" source="/home/ersyl/development/robot-scripts/end-to-end/Tests/FrontOffice">
<suite id="s1-s1-s3-s1" name="Front Office" source="/home/ersyl/development/robot-scripts/end-to-end/Tests/FrontOffice/Front_Office.robot">
<test id="s1-s1-s3-s1-t1" name="Should be able to access Home page" line="12">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T11:29:48.678238" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T11:29:48.677996" elapsed="0.512939"/>
</kw>
<kw name="Maximize Browser Window" owner="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" start="2025-11-20T11:29:49.191232" elapsed="0.012978"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:48.677582" elapsed="0.526848"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="FrontOffice.Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T11:29:49.205697" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${FRONT_OFFICE_URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T11:29:49.205471" elapsed="2.987824"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:49.205086" elapsed="2.988366"/>
</kw>
<kw name="Verify Page" owner="FrontOffice.Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${FRONT_OFFICE_HOME_PAGE_HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T11:29:52.193945" elapsed="0.010306"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:52.193645" elapsed="0.010796"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:49.204661" elapsed="2.999903"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T11:29:54.205173" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T11:29:52.204769" elapsed="2.000585"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T11:29:54.205966" elapsed="0.056447"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:54.205633" elapsed="0.056964"/>
</kw>
<doc>Home Page</doc>
<tag>Home</tag>
<status status="PASS" start="2025-11-20T11:29:48.635325" elapsed="5.627387"/>
</test>
<test id="s1-s1-s3-s1-t2" name="Should be able to access About page" line="18">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T11:29:54.346958" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T11:29:54.346728" elapsed="0.526464"/>
</kw>
<kw name="Maximize Browser Window" owner="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" start="2025-11-20T11:29:54.873592" elapsed="0.013469"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:54.346399" elapsed="0.540906"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="FrontOffice.Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T11:29:54.889059" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${FRONT_OFFICE_URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T11:29:54.888785" elapsed="2.992636"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:54.888126" elapsed="2.993453"/>
</kw>
<kw name="Verify Page" owner="FrontOffice.Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${FRONT_OFFICE_HOME_PAGE_HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T11:29:57.882091" elapsed="0.008982"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:57.881796" elapsed="0.009430"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:54.887613" elapsed="3.003707"/>
</kw>
<kw name="GO to &quot;About&quot; Page" owner="FrontOfficeApp">
<kw name="Select &quot;About&quot; Page" owner="FrontOffice.TopNav">
<kw name="Click Element" owner="SeleniumLibrary">
<msg time="2025-11-20T11:29:57.892332" level="INFO">Clicking element 'xpath=//*[@id="bs-example-navbar-collapse-1"]/ul/li[4]/a'.</msg>
<arg>${TOP_NAV_ABOUT_LINK}</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T11:29:57.892020" elapsed="0.039413"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T11:29:59.932461" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T11:29:57.931812" elapsed="2.000867"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:57.891799" elapsed="2.041030"/>
</kw>
<kw name="Verify Page" owner="About">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${ABOUT_HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T11:29:59.933284" elapsed="0.008514"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:59.933021" elapsed="0.008917"/>
</kw>
<status status="PASS" start="2025-11-20T11:29:57.891487" elapsed="2.050526"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T11:30:01.942453" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T11:29:59.942135" elapsed="2.000552"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T11:30:01.943326" elapsed="0.056351"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:01.943034" elapsed="0.056831"/>
</kw>
<doc>About Page</doc>
<tag>About</tag>
<status status="PASS" start="2025-11-20T11:29:54.304295" elapsed="7.695661"/>
</test>
<test id="s1-s1-s3-s1-t3" name="Should be able to access Contact page" line="25">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T11:30:02.084843" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T11:30:02.084617" elapsed="0.523386"/>
</kw>
<kw name="Maximize Browser Window" owner="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" start="2025-11-20T11:30:02.608223" elapsed="0.012768"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:02.084320" elapsed="0.536898"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="FrontOffice.Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T11:30:02.622321" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${FRONT_OFFICE_URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T11:30:02.622150" elapsed="1.912893"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:02.621899" elapsed="1.913298"/>
</kw>
<kw name="Verify Page" owner="FrontOffice.Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${FRONT_OFFICE_HOME_PAGE_HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T11:30:04.535697" elapsed="0.008170"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:04.535391" elapsed="0.008627"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:02.621511" elapsed="1.922601"/>
</kw>
<kw name="GO to &quot;Contact&quot; Page" owner="FrontOfficeApp">
<kw name="Select &quot;Contact&quot; Page" owner="FrontOffice.TopNav">
<kw name="Click Element" owner="SeleniumLibrary">
<msg time="2025-11-20T11:30:04.545068" level="INFO">Clicking element 'xpath=//*[@id="bs-example-navbar-collapse-1"]/ul/li[6]/a'.</msg>
<arg>${TOP_NAV_CONTACT_LINK}</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T11:30:04.544833" elapsed="0.042753"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T11:30:06.588365" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T11:30:04.587878" elapsed="2.000707"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:04.544592" elapsed="2.044150"/>
</kw>
<kw name="Verify Page" owner="Contact">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${CONTACT_US}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T11:30:06.589196" elapsed="0.008398"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:06.588916" elapsed="0.008847"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:04.544285" elapsed="2.053555"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T11:30:08.598308" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T11:30:06.597963" elapsed="2.000561"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T11:30:08.599088" elapsed="0.056143"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:08.598827" elapsed="0.056561"/>
</kw>
<doc>Contact Page</doc>
<tag>Contact</tag>
<status status="PASS" start="2025-11-20T11:30:02.042256" elapsed="6.613218"/>
</test>
<test id="s1-s1-s3-s1-t4" name="Should be able to access Portofolio page" line="32">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T11:30:08.739728" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T11:30:08.739494" elapsed="0.536150"/>
</kw>
<kw name="Maximize Browser Window" owner="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" start="2025-11-20T11:30:09.276061" elapsed="0.014113"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:08.739210" elapsed="0.551350"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="FrontOffice.Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T11:30:09.292095" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${FRONT_OFFICE_URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T11:30:09.291889" elapsed="1.853836"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:09.291552" elapsed="1.854357"/>
</kw>
<kw name="Verify Page" owner="FrontOffice.Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${FRONT_OFFICE_HOME_PAGE_HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T11:30:11.146428" elapsed="0.009822"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:11.146122" elapsed="0.010302"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:09.291084" elapsed="1.865445"/>
</kw>
<kw name="GO to &quot;Portofolio&quot; Page" owner="FrontOfficeApp">
<kw name="Select &quot;Portofolio&quot; Page" owner="FrontOffice.TopNav">
<kw name="Click Element" owner="SeleniumLibrary">
<msg time="2025-11-20T11:30:11.157464" level="INFO">Clicking element 'xpath=//*[@id="bs-example-navbar-collapse-1"]/ul/li[3]/a'.</msg>
<arg>${TOP_NAV_PORTOFOLIO_LINK}</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T11:30:11.157264" elapsed="0.043243"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T11:30:13.201424" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T11:30:11.200911" elapsed="2.000715"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:11.157031" elapsed="2.044744"/>
</kw>
<kw name="Verify Page" owner="Portofolio">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${PORTOFOLIO}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T11:30:13.202203" elapsed="0.009172"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:13.201945" elapsed="0.009577"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:11.156714" elapsed="2.054884"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T11:30:15.212044" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T11:30:13.211742" elapsed="2.000503"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T11:30:15.212805" elapsed="0.056338"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:15.212531" elapsed="0.056764"/>
</kw>
<doc>Portofolio Page</doc>
<tag>Portofolio</tag>
<status status="PASS" start="2025-11-20T11:30:08.697387" elapsed="6.571987"/>
</test>
<test id="s1-s1-s3-s1-t5" name="Should be able to access Services page" line="39">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T11:30:15.354806" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T11:30:15.354601" elapsed="0.469726"/>
</kw>
<kw name="Maximize Browser Window" owner="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" start="2025-11-20T11:30:15.824537" elapsed="0.012260"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:15.354305" elapsed="0.482651"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="FrontOffice.Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T11:30:15.837898" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${FRONT_OFFICE_URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T11:30:15.837743" elapsed="2.186177"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:15.837466" elapsed="2.186613"/>
</kw>
<kw name="Verify Page" owner="FrontOffice.Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${FRONT_OFFICE_HOME_PAGE_HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T11:30:18.024581" elapsed="0.014351"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:18.024277" elapsed="0.014834"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:15.837154" elapsed="2.202051"/>
</kw>
<kw name="GO to &quot;Services&quot; Page" owner="FrontOfficeApp">
<kw name="Select &quot;Services&quot; Page" owner="FrontOffice.TopNav">
<kw name="Click Element" owner="SeleniumLibrary">
<msg time="2025-11-20T11:30:18.040235" level="INFO">Clicking element 'xpath=//*[@id="bs-example-navbar-collapse-1"]/ul/li[2]/a'.</msg>
<arg>${TOP_NAV_SERVICES_LINK}</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T11:30:18.040023" elapsed="0.041943"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T11:30:20.082594" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T11:30:18.082206" elapsed="2.000611"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:18.039776" elapsed="2.043186"/>
</kw>
<kw name="Verify Page" owner="Services">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${SERVICES}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T11:30:20.083393" elapsed="0.008452"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:20.083137" elapsed="0.008903"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:18.039387" elapsed="2.052734"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T11:30:22.092581" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T11:30:20.092252" elapsed="2.000538"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T11:30:22.093338" elapsed="0.056403"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:22.093081" elapsed="0.056804"/>
</kw>
<doc>Services Page</doc>
<tag>Services</tag>
<status status="PASS" start="2025-11-20T11:30:15.312325" elapsed="6.837634"/>
</test>
<test id="s1-s1-s3-s1-t6" name="Should be able to access Team page" line="46">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-11-20T11:30:22.233965" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-11-20T11:30:22.233766" elapsed="0.491488"/>
</kw>
<kw name="Maximize Browser Window" owner="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" start="2025-11-20T11:30:22.725590" elapsed="0.019697"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:22.233438" elapsed="0.512143"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="FrontOffice.Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-11-20T11:30:22.747572" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${FRONT_OFFICE_URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-11-20T11:30:22.747246" elapsed="3.375389"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:22.746717" elapsed="3.376078"/>
</kw>
<kw name="Verify Page" owner="FrontOffice.Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${FRONT_OFFICE_HOME_PAGE_HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T11:30:26.123272" elapsed="0.008760"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:26.122984" elapsed="0.009210"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:22.746036" elapsed="3.386252"/>
</kw>
<kw name="GO to &quot;Team&quot; Page" owner="FrontOfficeApp">
<kw name="Select &quot;Team&quot; Page" owner="FrontOffice.TopNav">
<kw name="Click Element" owner="SeleniumLibrary">
<msg time="2025-11-20T11:30:26.133342" level="INFO">Clicking element 'xpath=//*[@id="bs-example-navbar-collapse-1"]/ul/li[5]/a'.</msg>
<arg>${TOP_NAV_TEAM_LINK}</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="PASS" start="2025-11-20T11:30:26.133131" elapsed="0.044302"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T11:30:28.178366" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T11:30:26.177803" elapsed="2.000768"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:26.132796" elapsed="2.045926"/>
</kw>
<kw name="Verify Page" owner="Team">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${AMAZING_TEAM}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-11-20T11:30:28.179152" elapsed="0.008786"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:28.178890" elapsed="0.009197"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:26.132454" elapsed="2.055713"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-11-20T11:30:30.188639" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-11-20T11:30:28.188301" elapsed="2.000551"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-11-20T11:30:30.189400" elapsed="0.056622"/>
</kw>
<status status="PASS" start="2025-11-20T11:30:30.189139" elapsed="0.057038"/>
</kw>
<doc>Team Page</doc>
<tag>Team</tag>
<status status="PASS" start="2025-11-20T11:30:22.191386" elapsed="8.054871"/>
</test>
<doc>Test the Studio Web Page</doc>
<status status="PASS" start="2025-11-20T11:29:48.588298" elapsed="41.700061"/>
</suite>
<status status="PASS" start="2025-11-20T11:29:48.545196" elapsed="41.785137"/>
</suite>
<status status="PASS" start="2025-11-20T11:29:34.087301" elapsed="56.286143"/>
</suite>
<status status="PASS" start="2025-11-20T11:29:33.977702" elapsed="56.438859"/>
</suite>
<statistics>
<total>
<stat pass="8" fail="0" skip="0">All Tests</stat>
</total>
<tag>
<stat pass="1" fail="0" skip="0">About</stat>
<stat pass="1" fail="0" skip="0">Contact</stat>
<stat pass="3" fail="0" skip="0">Home</stat>
<stat pass="1" fail="0" skip="0">Portofolio</stat>
<stat pass="1" fail="0" skip="0">Services</stat>
<stat pass="1" fail="0" skip="0">Team</stat>
</tag>
<suite>
<stat name="End-To-End" id="s1" pass="8" fail="0" skip="0">End-To-End</stat>
<stat name="Tests" id="s1-s1" pass="8" fail="0" skip="0">End-To-End.Tests</stat>
<stat name="BackOffice" id="s1-s1-s1" pass="1" fail="0" skip="0">End-To-End.Tests.BackOffice</stat>
<stat name="Back Office" id="s1-s1-s1-s1" pass="1" fail="0" skip="0">End-To-End.Tests.BackOffice.Back Office</stat>
<stat name="EndToEnd" id="s1-s1-s2" pass="1" fail="0" skip="0">End-To-End.Tests.EndToEnd</stat>
<stat name="End to End" id="s1-s1-s2-s1" pass="1" fail="0" skip="0">End-To-End.Tests.EndToEnd.End to End</stat>
<stat name="FrontOffice" id="s1-s1-s3" pass="6" fail="0" skip="0">End-To-End.Tests.FrontOffice</stat>
<stat name="Front Office" id="s1-s1-s3-s1" pass="6" fail="0" skip="0">End-To-End.Tests.FrontOffice.Front Office</stat>
</suite>
</statistics>
<errors>
</errors>
</robot>
